/***********************************************************
  文件名：15_RGB_led.ino
  描述：实现RGB led灯颜色的切换。
  作者：陈志强
  日期：2022.11.10
***********************************************************/
//RGB led 模块RGB分别引脚接D9,D10,D11口，GND引脚接控制板GND

int R = 9;//定义数字常量，RGB led 模块R接9口
int G = 10;//定义数字常量，RGB led 模块G接10口
int B = 11;//定义数字常量，RGB led 模块B接11口

void RGB_Value(int rshu, int gshu, int bshu) {//亮灯函数
  analogWrite(R, rshu);
  analogWrite(G, gshu);
  analogWrite(B, bshu);
}

void setup() {

  RGB_Value(0, 0, 0);//灯熄灭
}

void loop() {

  RGB_Value(255, 0, 0);//亮红色
  delay(1000);//延时1s
  RGB_Value(0, 255, 0);//亮绿色
  delay(1000);//延时1s
  RGB_Value(0, 0, 255);//亮蓝色
  delay(1000);//延时1s

}
